import request from "@/router/axios";

export const getList = (current, size, params, deptId) => {
  return request({
    url: "/api/blade-user/page",
    method: "get",
    params: {
      ...params,
      current,
      size,
      deptId,
    },
  });
};

export const remove = (ids) => {
  return request({
    url: "/api/blade-user/remove",
    method: "post",
    params: {
      ids,
    },
  });
};

export const add = (row) => {
  return request({
    url: "/api/blade-user/submit2",
    method: "post",
    data: row,
  });
};

export const update = (row) => {
  return request({
    url: "/api/blade-user/update2",
    method: "post",
    data: row,
  });
};

export const updatePlatform = (userId, userType, userExt) => {
  return request({
    url: "/api/blade-user/update-platform",
    method: "post",
    params: {
      userId,
      userType,
      userExt,
    },
  });
};

export const getUser = (id) => {
  return request({
    url: "/api/blade-user/detail",
    method: "get",
    params: {
      id,
    },
  });
};

export const getUserPlatform = (id) => {
  return request({
    url: "/api/blade-user/platform-detail",
    method: "get",
    params: {
      id,
    },
  });
};

export const getUserInfo = () => {
  return request({
    url: "/api/blade-user/info",
    method: "get",
  });
};

export const resetPassword = (userIds) => {
  return request({
    url: "/api/blade-user/reset-password",
    method: "post",
    params: {
      userIds,
    },
  });
};

export const updatePassword = (
  oldPassword,
  newPassword,
  newPassword1,
  plaintextPassword
) => {
  return request({
    url: "/api/blade-user/update-password",
    method: "post",
    params: {
      oldPassword,
      newPassword,
      newPassword1,
      plaintextPassword,
    },
  });
};

export const updateInfo = (row) => {
  return request({
    url: "/api/blade-user/update-info",
    method: "post",
    data: row,
  });
};

export const grant = (userIds, roleIds) => {
  return request({
    url: "/api/blade-user/grant",
    method: "post",
    params: {
      userIds,
      roleIds,
    },
  });
};

export const unlock = (userIds) => {
  return request({
    url: "/api/blade-user/unlock",
    method: "post",
    params: {
      userIds,
    },
  });
};

export const lock = (userIds) => {
  return request({
    url: "/api/blade-user/lock",
    method: "post",
    params: {
      userIds,
    },
  });
};

export const getUserList = (params) => {
  return request({
    url: "/api/blade-user/user-list",
    method: "get",
    params: {
      ...params,
    },
  });
};

//删除参建项目整个项目
export const removeUserProjectInfoAndRoleById = (params) => {
  return request({
    url: "/api/blade-manager/contractInfo/remove-userProjectInfo-role-byId",
    method: "post",
    params,
  });
};
//获取用户
export const getListBySearch = (params) => {
  return request({
    url: "/api/blade-user/search/user",
    method: "get",
    params,
  });
};

// 上传用户excel文件
export const importUserExcel = (row) => {
  return request({
    headers: {
      "Content-Type": "multipart/form-data",
    },
    url: "/api/blade-user/import-user_new",
    method: "post",
    data: row,
  });
};
